#pragma once
#include <SFML/Audio.hpp>
#include <map>

namespace LD46
{
	class MusicManager
	{
	public:
		void Play(int resourceId);
		void Stop(int resourceId);
		sf::Music& LoadFromResource(int name);
		~MusicManager();
	private:
		sf::Music* GetResource(const int resourceId);
		std::map<int, sf::Music> m_songs;
		std::map<int, TCHAR[2048]> m_tempFiles;
	};

}
