#pragma once
#include <SFML/Audio.hpp>
#include <map>


namespace LD46
{
	class SoundManager
	{
	public:
		void PlaySound(int resourceId);
	private:
		sf::SoundBuffer LoadBufferFromResource(int name);

		std::map<int, sf::SoundBuffer> m_buffers;
		std::map<int, sf::Sound> m_sounds;
	};
}