#pragma once
#include <SFML/Graphics.hpp>
#include <map>


namespace LD46
{
	class TextureManager
	{
	public:
		sf::Texture& GetTexture(int resourceId);
	private:
		sf::Image LoadImageFromResource(int name);

		std::map<int, sf::Image> m_images;
		std::map<int, sf::Texture> m_textures;
	};
}